GH-REPO-CLONE(1)

NAME

gh-repo-clone - Clone a repository locally

SYNOPSIS

gh repo clone <repository> [<directory>] [-- <gitflags>...]

DESCRIPTION

Clone a GitHub repository locally. Pass additional git clone flags by listing them after "--".

If the "OWNER/" portion of the "OWNER/REPO" repository argument is omitted, it defaults to the name of the authenticating user.

If the repository is a fork, its parent repository will be added as an additional git remote called "upstream". The remote name can be configured using --upstream-remote-name. The --upstream-remote-name option supports an "@owner" value which will name the remote after the owner of the parent repository.

OPTIONS

-u, --upstream-remote-name <string>
    Upstream remote name when cloning a fork

SEE ALSO

gh-repo(1)